<?php
/*
Plugin Name: ImageForAll
Version: 2.0.a
Description: Allow to show total number of images for everyone.
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=167
Author: Sakkhho
Author URI: http://piwigo.org
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
define('IMG_DIR' , basename(dirname(__FILE__)));
define('IMG_PATH' , PHPWG_PLUGINS_PATH . IMG_DIR . '/');

function img_for_all_admin_menu($menu)
{
    array_push($menu, array('NAME' => 'ImageForAll',
            'URL' => get_admin_plugin_menu_link(IMG_PATH . 'admin/img_admin.php')));
    return $menu;
}

function img_for_all_replace_tpl_code($menu_ref_arr)
{
  global $conf, $lang ;
 
  $menu = & $menu_ref_arr[0];
  $block = $menu->get_block('mbCategories');
  $nb_images = $block->data['NB_PICTURE'];
 
  $query = 'SELECT COUNT(DISTINCT(image_id)) FROM '.IMAGE_CATEGORY_TABLE.';';
  $result = pwg_query($query) ;
  list($total_img) = mysql_fetch_row($result);

  $img_for_all = str_replace(
    array('{NB_PICTURE}', '{NB_TOTAL}'),
    array($nb_images, $total_img),
    $conf['imageforall']);
 
  $block->data['IMG_FOR_ALL'] = $img_for_all;
  $block->template = dirname(__FILE__) . '/menubar_categories.tpl';
}


add_event_handler('get_admin_plugin_menu_links', 'img_for_all_admin_menu');
add_event_handler('blockmanager_apply', 'img_for_all_replace_tpl_code');

?>